Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::BotanErrorCategory Struct Reference

An error category for errors from Botan (other than TLS alerts) More...

`#include <asio_error.h>`

Inheritance diagram for Botan::BotanErrorCategory:

## Public Member Functions
std::string | message (int ev) const override
const char * | name () const noexceptoverride

## Detailed Description

An error category for errors from Botan (other than TLS alerts)

Definition at line 55 of file asio_error.h.

## Member Function Documentation

std::string Botan::BotanErrorCategory::message | ( | int | ev | ) | const
| inline override

Definition at line 62 of file asio_error.h.

References Botan::to_string().

63 {
64 return Botan::to_string(static_cast<Botan::ErrorType>(ev));
65 }
Botan::to_string
std::string to_string(ErrorType type)
Convert an ErrorType to string.
Definition: exceptn.cpp:11

const char* Botan::BotanErrorCategory::name | ( |  | ) | const
| inline override noexcept

Definition at line 57 of file asio_error.h.

58 {
59 return "asio.botan.tls";
60 }

The documentation for this struct was generated from the following file:

- src/lib/tls/asio/asio_error.h